Subject: Re: bug#14821: Build broken on 64-bit Cygwin starting with bzr revision 113315

From: Paul Eggert <[email-masked]>
Date: Tue, 09 Jul 2013 10:29:12 -0700

On 07/09/13 10:13, Ken Brown wrote:
> Paul just submitted a patch to Gnulib that should fix it in a better way than what I suggested.

One problem was that I tried too hard to not use Gnulib
in Emacs, so I mistakenly avoided Gnulib's binary-io module.

There appears to be another issue, though -- a porting bug in Gnulib when
using the accept4 or pipe2 modules on Cygwin.  As Ken notes I
have tried to fix that problem in Gnulib, and propagated the
fix to Emacs while I was fixing the binary-io issue.

Please try trunk bzr 113348 to see whether these two changes
solve the problem.